<template>
  <div class="nav-header-title d-flex">
    <b-link @click="goToBack($route.meta)" v-if="$route.meta.back" class="align-text-top top-back-btn">
      <IconBack class="box-shadow-none" />
    </b-link>
    <p class="header-title" v-html="$route.meta.navTitle" />

    <b-modal ref="goBackConfirmModal" id="goBackConfirmModal" size="sm" hide-footer>
      <div class="mt-1 convert-model">
        <center>
          <IconWarning class="tick-icon align-center"  />
          <h3>Go Back !</h3>
          <p>Are you sure you want to go back? Unsaved data will be lost!</p>
        </center>
        <center class="mt-2">
          <b-button class="btn-reset" variant="flat-secondary" type="button"
            @click="$bvModal.hide('goBackConfirmModal')">
            No, Stay Here
          </b-button>
          <b-button class="btn-submit-edit" variant="primary" type="submit"
            @click="statusChangeConfirm($route.meta.back)">
            Yes, Go Back
          </b-button>
        </center>
      </div>
    </b-modal>
  </div>
</template>

<script>
import { BLink, BImg, BButton, BModal } from "bootstrap-vue";
import router from "@/router";

export default {
  components: {
    BLink,
    BButton,
    BImg,
    BModal
  },
  data() {
    return {
    };
  },
  methods: {
    goToBack(route) {
      if (route.type == "create" || route.type == "edit") {
        this.$refs["goBackConfirmModal"].show();
      } else {
        if (
          router.currentRoute.query &&
          (router.currentRoute.query.mode == "create" ||
            router.currentRoute.query.mode == "edit")
        ) {
          this.$refs["goBackConfirmModal"].show();
        } else {
          this.$refs["goBackConfirmModal"].hide();
          this.$router.push({ name: route.back });
        }
      }
    },

    statusChangeConfirm(route) {
      this.$refs["goBackConfirmModal"].hide();
      this.$router.push({ name: route });
    },
  },
};
</script>
